package com.its.web.mapper.itcs;

import com.its.web.dto.statistics.DaeroMngmDto;
import com.its.web.dto.statistics.TrafficStatisticsDto;
import com.its.web.dto.traffic.IntersectionCameraDto;
import com.its.web.dto.traffic.IntersectionDto;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.context.annotation.Profile;

import java.util.List;
import java.util.Map;

@Profile("itcs")
@Mapper
public interface IntersectionMapper {
    List<IntersectionDto> findAllIntersection();

    List<IntersectionCameraDto> findAllIntersectionDetail();

    List<DaeroMngmDto> findIntersectionAtrdName();

    List<TrafficStatisticsDto> findStatisticsTrafficAmountByMonth(Map<String, Object> paramMap);

    List<TrafficStatisticsDto> findStatisticsTrafficAmountByDay(Map<String, Object> paramMap);

    int updateCctvHmpgUseYn(Map<String, Object> paramMap);
}
